Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707644 - app-text/vilistextum-2.8.0.20200411 stabilization
Summary: app-text/vilistextum-2.8.0.20200411 stabilization
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Shell Tools Herd Bugs
URL:
Whiteboard: was: app-text/vilistextum-2.6.9-r1 : ...
Keywords: CC-ARCHES, PullRequest, STABLEREQ
Depends on: 774507
Blocks: EAPI5Removal -fno-common gcc-10
  Show dependency tree
 
Reported: 2020-01-31 17:45 UTC by Toralf Förster
Modified: 2021-08-03 15:07 UTC (History)
2 users (show)

See Also:
Package list:
=app-text/vilistextum-2.8.0.20200411
Runtime testing required: ---
nattka: sanity-check+


Attachments
emerge-info.txt (emerge-info.txt,16.68 KB, text/plain)
2020-01-31 17:45 UTC, Toralf Förster
no flags Details
app-text:vilistextum-2.6.9-r1:20200131-111220.log (app-text:vilistextum-2.6.9-r1:20200131-111220.log,52.70 KB, text/plain)
2020-01-31 17:45 UTC, Toralf Förster
no flags Details
emerge-history.txt (emerge-history.txt,301.42 KB, text/plain)
2020-01-31 17:45 UTC, Toralf Förster
no flags Details
environment (environment,87.48 KB, text/plain)
2020-01-31 17:45 UTC, Toralf Förster
no flags Details
etc.portage.tbz2 (etc.portage.tbz2,18.76 KB, application/x-bzip)
2020-01-31 17:45 UTC, Toralf Förster
no flags Details
logs.tbz2 (logs.tbz2,5.71 KB, application/x-bzip)
2020-01-31 17:45 UTC, Toralf Förster
no flags Details
temp.tbz2 (temp.tbz2,25.22 KB, application/x-bzip)
2020-01-31 17:45 UTC, Toralf Förster
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-31 17:45:08 UTC
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..    -Wall -ansi -O2 -pipe -march=native -fno-common -c -o main.o main.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..    -Wall -ansi -O2 -pipe -march=native -fno-common -c -o util.o util.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..    -Wall -ansi -O2 -pipe -march=native -fno-common -c -o unicode_entities.o unicode_entities.c
x86_64-pc-linux-gnu-gcc -Wall -ansi -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o vilistextum charset.o html.o latin1.o html_tag.o lists.o microsoft.o text.o fileio.o main.o util.o unicode_entities.o  
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: html.o:(.bss+0x80048): multiple definition of `ch'; charset.o:(.bss+0x8040): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: html.o:(.bss+0x80088): multiple definition of `convert_characters'; charset.o:(.bss+0x8080): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Fri, 31 Jan 2020 10:31:14 +0000

emerge -qpvO app-text/vilistextum
[ebuild  N    ] app-text/vilistextum-2.6.9-r1  USE="unicode"
Comment 1 Toralf Förster gentoo-dev 2020-01-31 17:45:11 UTC
Created attachment 609882 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-31 17:45:14 UTC
Created attachment 609884 [details]
app-text:vilistextum-2.6.9-r1:20200131-111220.log
Comment 3 Toralf Förster gentoo-dev 2020-01-31 17:45:17 UTC
Created attachment 609886 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-31 17:45:20 UTC
Created attachment 609888 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-31 17:45:23 UTC
Created attachment 609890 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-31 17:45:26 UTC
Created attachment 609892 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-31 17:45:29 UTC
Created attachment 609894 [details]
temp.tbz2
Comment 8 Sam James archtester gentoo-dev Security 2020-10-31 06:10:46 UTC
May be last-rited if no patch added. grobian, interested, or no?
Comment 9 Fabian Groffen gentoo-dev 2020-10-31 12:23:44 UTC
perhaps https://github.com/bhaak/vilistextum/commit/06cc8a637efd9097af4f138b1b7c755120ffaa88 applies on our version.
Comment 10 Fabian Groffen gentoo-dev 2020-10-31 12:36:26 UTC
Ok, the answer is no.

I'll bump the 2.8 snapshot one so we include the fnocommon commit.
Comment 11 Larry the Git Cow gentoo-dev 2020-10-31 12:36:39 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=377ba1b3198a4b260e30600a4479a3e48e3693e5

commit 377ba1b3198a4b260e30600a4479a3e48e3693e5
Author:     Fabian Groffen <grobian@gentoo.org>
AuthorDate: 2020-10-31 12:36:23 +0000
Commit:     Fabian Groffen <grobian@gentoo.org>
CommitDate: 2020-10-31 12:36:23 +0000

    app-text/vilistextum-2.8.0.20200411: version bump for -fno-common
    
    Bug: https://bugs.gentoo.org/707644
    Package-Manager: Portage-3.0.8, Repoman-3.0.2
    Signed-off-by: Fabian Groffen <grobian@gentoo.org>

 app-text/vilistextum/Manifest                      |   1 +
 .../vilistextum-2.8.0.20200411-blockquote.patch    | 120 +++++++++++++++++++++
 ...vilistextum-2.8.0.20200411-list-alignment.patch |  43 ++++++++
 .../vilistextum/vilistextum-2.8.0.20200411.ebuild  |  80 ++++++++++++++
 4 files changed, 244 insertions(+)
Comment 12 Fabian Groffen gentoo-dev 2020-10-31 12:42:42 UTC
(In reply to Sam James from comment #8)
> May be last-rited if no patch added. grobian, interested, or no?

With the current situation in tree, we can either a) ditch the package, or b) aim for stabilising the 2.8.0.20200411 one.

I don't use vilistextum any more, and upstream seems to refuse creating a release for years now, so I'm more than ok with ditching the package.
Comment 13 Fabian Groffen gentoo-dev 2021-01-01 16:56:47 UTC
let's stablise the latest version, then cleanup old
Comment 14 Andreas K. Hüttel archtester gentoo-dev 2021-03-06 11:22:56 UTC
Arches please do
Comment 15 Andreas K. Hüttel archtester gentoo-dev 2021-03-06 15:58:12 UTC
Please ignore the tests; this is a html-to-text converter, not a warp drive.
Comment 16 Larry the Git Cow gentoo-dev 2021-03-06 16:12:31 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c33a89a094fbf227638dbf3d2a119a3f37230ce5

commit c33a89a094fbf227638dbf3d2a119a3f37230ce5
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2021-03-06 16:11:14 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2021-03-06 16:12:26 +0000

    app-text/vilistextum: RESTRICT=test
    
    Bug: https://bugs.gentoo.org/707644
    Closes: https://bugs.gentoo.org/709972
    Closes: https://bugs.gentoo.org/713780
    Package-Manager: Portage-3.0.16, Repoman-3.0.2
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 app-text/vilistextum/vilistextum-2.8.0.20200411.ebuild | 3 +++
 1 file changed, 3 insertions(+)
Comment 17 Andreas K. Hüttel archtester gentoo-dev 2021-03-06 21:41:22 UTC
not waiting with gcc-10 anymore
Comment 18 Sam James archtester gentoo-dev Security 2021-03-07 23:05:19 UTC Comment hidden (obsolete)
Comment 19 ernsteiswuerfel archtester 2021-03-08 22:43:42 UTC
Looking good on ppc.

 # cat vilistextum-707644.report 
USE tests started on Mo 8. Mär 23:40:45 CET 2021

FEATURES=' test' USE='' succeeded for =app-text/vilistextum-2.8.0.20200411
USE='' succeeded for =app-text/vilistextum-2.8.0.20200411
Comment 20 Agostino Sarubbo gentoo-dev 2021-03-26 15:31:57 UTC
amd64 stable
Comment 21 Sam James archtester gentoo-dev Security 2021-03-26 15:32:55 UTC
ppc done
Comment 22 Sam James archtester gentoo-dev Security 2021-03-26 15:33:30 UTC
(In reply to ernsteiswuerfel from comment #19)
> Looking good on ppc.
> 
>  # cat vilistextum-707644.report 
> USE tests started on Mo 8. Mär 23:40:45 CET 2021
> 
> FEATURES=' test' USE='' succeeded for =app-text/vilistextum-2.8.0.20200411
> USE='' succeeded for =app-text/vilistextum-2.8.0.20200411

thanks!
Comment 23 Andreas Sturmlechner gentoo-dev 2021-04-18 08:28:33 UTC
Why not cleanup old now?
Comment 24 Fabian Groffen gentoo-dev 2021-04-18 09:45:19 UTC
(In reply to Andreas Sturmlechner from comment #23)
> Why not cleanup old now?

sparc
Comment 25 Agostino Sarubbo gentoo-dev 2021-05-14 06:45:18 UTC
sparc stable. Closing.
Comment 26 Andreas Sturmlechner gentoo-dev 2021-08-03 14:00:29 UTC
Re-opening for cleanup, see pending PR and please ack.
Comment 27 Fabian Groffen gentoo-dev 2021-08-03 14:16:37 UTC
ack from me, go ahead and remove the superseeded version
Comment 28 Larry the Git Cow gentoo-dev 2021-08-03 15:07:26 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=120e9205835027f6a50a9940652e70fcccfe4f9b

commit 120e9205835027f6a50a9940652e70fcccfe4f9b
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-08-03 13:26:53 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-08-03 15:07:11 +0000

    app-text/vilistextum: Drop 2.6.9-r1, EAPI5--
    
    Closes: https://bugs.gentoo.org/707644
    Package-Manager: Portage-3.0.20, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 app-text/vilistextum/Manifest                      |   1 -
 .../files/vilistextum-2.6.9-blockquote.patch       | 113 ---------------------
 .../files/vilistextum-2.6.9-darwin11.patch         |  23 -----
 .../files/vilistextum-2.6.9-gentoo.diff            |  22 ----
 .../files/vilistextum-2.6.9-prefix.patch           |  27 -----
 app-text/vilistextum/vilistextum-2.6.9-r1.ebuild   |  76 --------------
 6 files changed, 262 deletions(-)